Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 292023 (CVE-2009-3555) - [TRACKER] TLS Session Renegotiation MITM vulnerability (CVE-2009-3555)
Summary: [TRACKER] TLS Session Renegotiation MITM vulnerability (CVE-2009-3555)
Status: RESOLVED FIXED
Alias: CVE-2009-3555
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: http://extendedsubset.com/?p=8
Whiteboard: A3 [glsa]
Keywords: Tracker
Depends on: 292022 292025 292034 293158 293785 293894 305343 306579 306583 306925
Blocks:
  Show dependency tree
 
Reported: 2009-11-05 22:22 UTC by Alex Legler (RETIRED)
Modified: 2016-03-05 12:41 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-11-05 22:22:04 UTC
From $URL:
Transport Layer Security (TLS, RFC 5246 and previous, including SSL v3 and previous) is subject to a number of serious man-in-the-middle (MITM) attacks related to renegotiation. In general, these problems allow an MITM to inject an arbitrary amount of chosen plaintext into the beginning of the application protocol stream, leading to a variety of abuse possibilities. In particular, practical attacks against HTTPS client certificate authentication have been demonstrated against recent versions of both Microsoft IIS and Apache httpd on a variety of platforms and in conjunction with a variety of client applications. Cases not involving client certificates have been demonstrated as well. Although this research has focused on the implications specifically for HTTP as the application protocol, the research is ongoing and many of these attacks are expected to generalize well to other protocols layered on TLS.

Discovered by Marsh Ray of PhoneFactor and independently by Martin Rex with SAP.

References:
http://extendedsubset.com/Renegotiating_TLS.pdf
http://www.ietf.org/mail-archive/web/tls/current/msg03928.html
https://bugzilla.redhat.com/show_bug.cgi?id=533125
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-11-12 23:36:12 UTC
CVE-2009-3555 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-3555):
  The TLS protocol, and the SSL protocol 3.0 and possibly earlier, as
  used in Microsoft Internet Information Services (IIS) 7.0, mod_ssl in
  the Apache HTTP Server 2.2.14 and earlier, OpenSSL before 0.9.8l,
  GnuTLS 2.8.5 and earlier, Mozilla Network Security Services (NSS)
  3.12.4 and earlier, and other products, does not properly associate
  renegotiation handshakes with an existing connection, which allows
  man-in-the-middle attackers to insert data into HTTPS sessions, and
  possibly other types of sessions protected by TLS or SSL, by sending
  an unauthenticated request that is processed retroactively by a
  server in a post-renegotiation context, related to a "plaintext
  injection" attack, aka the "Project Mogul" issue.

Comment 2 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-01-10 11:55:57 UTC
All open bugs blocking this are in [glsa] status.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-05 12:41:18 UTC
All dependent bugs have been closed.